# TestSuiteComponent

interface TestSuiteComponent : SoftwareComponent

Represents a component that defines a test suite.

#### Since

4.5

#### Inheritors

CppTestSuite
SwiftXCTestSuite

## Functions

getName
Link copied to clipboard
abstract fun getName(): String
getTestBinary
Link copied to clipboard
abstract fun getTestBinary(): Provider<out TestComponent>
Returns the binary to use as the default to run this test suite.